package com.hzs.ground.supplier.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.ground.supplier.ThSupplierApply;
import com.hzs.ground.supplier.vo.ThSupplierApplyVO;

import java.util.List;

/**
 * 供应商申请 服务类
 */
public interface IThSupplierApplyService extends IService<ThSupplierApply> {

    /**
     * 供应商列表
     **/
    List<ThSupplierApplyVO> queryThSupplierApplyList(ThSupplierApplyVO thSupplierApplyVO);

    /**
     * 查询登录管理员是否为供应商
     **/
    Integer queryThSupplierApplyUserList(Long userId);

    /**
     * 添加供应商申请
     **/
    boolean saveThSupplierApply(ThSupplierApplyVO thSupplierApplyVO);

    /**
     * 修改供应商申请
     **/
    boolean updateThSupplierApply(ThSupplierApplyVO thSupplierApplyVO);

    /**
     * 删除供应商申请
     **/
    boolean delThSupplierApply(Long pkId);

}
